summaryrefslogtreecommitdiff
path: root/pst/install-patch-official.sh
diff options
context:
space:
mode:
Diffstat (limited to 'pst/install-patch-official.sh')
-rwxr-xr-xpst/install-patch-official.sh10
1 files changed, 5 insertions, 5 deletions
diff --git a/pst/install-patch-official.sh b/pst/install-patch-official.sh
index 5a9b200..05cd670 100755
--- a/pst/install-patch-official.sh
+++ b/pst/install-patch-official.sh
@@ -17,8 +17,8 @@
# Planescape: Torment official patch
scriptdir="$(dirname $0)"/..
-source "$scriptdir/includes/generic-includes.sh"
-source "$scriptdir/includes/patch-includes.sh"
+source "${scriptdir}/includes/generic-includes.sh"
+source "${scriptdir}/includes/patch-includes.sh"
parseargs "$@"
@@ -28,10 +28,10 @@ setuptmp
getpatch http://www.sorcerers.net/Games2/Torment/Trmt11.exe
-cabextract -L $TMPDIR/Trmt11.exe -d $TMPDIR || diesoftly
-unshield -L x $TMPDIR/data1.cab -d $TMPDIR || diesoftly
+cabextract -L "${TMPDIR}/Trmt11.exe" -d "$TMPDIR" || diesoftly
+unshield -L x "${TMPDIR}/data1.cab" -d "$TMPDIR" || diesoftly
-cp -R $TMPDIR/program_executable_files/* "$TARGETDIR" || diesoftly
+cp -R "${TMPDIR}/program_executable_files/"* "$TARGETDIR" || diesoftly
cleanuptmp
setperms "$TARGETDIR"